Bug 10804 - Problems with fsck on booting
Problems with fsck on booting
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-13 17:06 EDT by csquare
Modified: 2016-10-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-14 11:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description csquare 2000-04-13 17:06:27 EDT
After setting up 6.1 I was continualy getting put into maint mode.  I'd
fsck the disks reboot which about 50% of the time on exit got through the
boot.  After a few days when booting I noticed on the terminal that booting
messages showed the -C option with -C0 which was odd.  I check the man page
and there was not -C0 option.  I checked rc.d rc.sysinit and there was only
-C no -C0.  I deleted the -C and have not had a problem boot since.
Somehow a 0 got inserted into the -C to form -C0.
Comment 1 Anonymous 2000-04-13 17:52:59 EDT
I've been able to repeat the problem by inserting or deleteing the -C option in
rc.sysinit.  When not present I boot clean.  When -C is inserted most of the
time I get put in maintenance mode.  With -V added show's the fsck command on
the terminal as having -C0.
my fstab is:

/dev/hda2               /                       ext2    defaults        1 1
/dev/hda1               /boot                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/hda6               /opt                    ext2    defaults        1 2
/dev/hda7               /usr                    ext2    defaults        1 2
/dev/hda5               swap                    swap    defaults        0 0
/dev/hdb1               /r                      ext2    defaults        1 2
/dev/hdb2               /spare                  ext2    defaults        1 2
/dev/hdc1               /s                      ext2    defaults        1 2
/dev/hdc2               /t                      ext2    defaults        1 2
/dev/fd0                /mnt/floppy             ext2    noauto,owner    0 0
none
/proc                   proc    defaults        0 0
none
/dev/pts                devpts  gid=5,mode=620  0 0
Comment 2 Anonymous 2000-04-13 19:38:59 EDT
I've been able to repeat the problem by inserting or deleteing the -C option in
rc.sysinit.  When not present I boot clean.  When -C is inserted most of the
time I get put in maintenance mode.  With -V added show's the fsck command on
the terminal as having -C0.
my fstab is:

/dev/hda2               /                       ext2    defaults        1 1
/dev/hda1               /boot                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/hda6               /opt                    ext2    defaults        1 2
/dev/hda7               /usr                    ext2    defaults        1 2
/dev/hda5               swap                    swap    defaults        0 0
/dev/hdb1               /r                      ext2    defaults        1 2
/dev/hdb2               /spare                  ext2    defaults        1 2
/dev/hdc1               /s                      ext2    defaults        1 2
/dev/hdc2               /t                      ext2    defaults        1 2
/dev/fd0                /mnt/floppy             ext2    noauto,owner    0 0
none
/proc                   proc    defaults        0 0
none
/dev/pts                devpts  gid=5,mode=620  0 0
Comment 3 Bill Nottingham 2000-04-14 11:24:59 EDT
There is a bug in the e2fsprogs that shipped with 6.1; you
need to grab the errata version.
Comment 4 Anonymous 2000-04-15 10:14:59 EDT
The error is still happening after the errata update.
The error reported on boot is 10 which I think is a
usage error.  The error reports that it executed
fsck.ext2 but I don't think that is the case.

For example if I umount /dev/hdb2 and fsck /dev/hdb2
that works. If I fsck -C /dev/hdb2 that works.
If I fsck -C0 /dev/hdb2 I get a usage error (10).

If I fsck.ext2 -C0 /dev/hdb2 it works.

It's acting like fsck and fsck.ext2 are getting randomly
invoked on boot and if fsck gets invoked I get the
error and if fsck.ext2 gets invoked its ok.
The man page tells me fsck is the front end for
fsck.fstype so fsck must do some evaluation of the disks
and on that basis calls fsck.fstype from fsck
with the correct .fstype.
It seems that is not happening consistantly.  The way
its acting is it randomly runs fsck and at other times
runs fsck.ext2.
If I remove the -C option in rc.sysinit I boot
without getting put into maintenance mode.
Note: the error report said that it ran fsck.ext2 but
its not acting that way.  It acting like it called
fsck and no .fstype got evaluated or attacked to the
call.
Comment 5 Anonymous 2000-04-15 10:52:59 EDT
Please disregard the last update. USER ERROR
on picking up the correct update. Sorry.
David Kirkpatrick
Comment 6 openshift-github-bot 2016-10-18 12:35:39 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/a9418508e12a8cda0ce0fcb415426189dccb262d
Merge pull request #11222 from jim-minter/issue10804

Merged by openshift-bot

Note You need to log in before you can comment on or make changes to this bug.